package com.ruoyi.device.service;

import com.ruoyi.device.domain.BaseInfo;

import java.util.List;

/**
 * 设备基础信息Service接口
 * 
 * @author ruoyi
 * @date 2025-05-19
 */
public interface IBaseInfoService 
{
    /**
     * 查询设备基础信息
     * 
     * @param objId 设备基础信息主键
     * @return 设备基础信息
     */
    public BaseInfo selectBaseInfoByObjId(Long objId);

    /**
     * 查询设备基础信息列表
     * 
     * @param baseInfo 设备基础信息
     * @return 设备基础信息集合
     */
    public List<BaseInfo> selectBaseInfoList(BaseInfo baseInfo);

    /**
     * 新增设备基础信息
     * 
     * @param baseInfo 设备基础信息
     * @return 结果
     */
    public int insertBaseInfo(BaseInfo baseInfo);

    /**
     * 修改设备基础信息
     * 
     * @param baseInfo 设备基础信息
     * @return 结果
     */
    public int updateBaseInfo(BaseInfo baseInfo);
  public int updateBaseInfoForApi(BaseInfo baseInfo);

    /**
     * 批量删除设备基础信息
     * 
     * @param objIds 需要删除的设备基础信息主键集合
     * @return 结果
     */
    public int deleteBaseInfoByObjIds(String objIds);

    /**
     * 删除设备基础信息信息
     * 
     * @param objId 设备基础信息主键
     * @return 结果
     */
    public int deleteBaseInfoByObjId(Long objId);

    boolean checkDeviceCode(BaseInfo baseInfo);

    BaseInfo selectDeviceInfo(String code);
}
